import { AbstractClient } from "../../../common/abstract_client";
import { ClientConfig } from "../../../common/interface";
import { DisableAutoScalingGroupResponse, ModifyLaunchConfigurationAttributesRequest, DisableAutoScalingGroupRequest, ModifyAutoScalingGroupRequest, ScaleOutInstancesRequest, ModifyScheduledActionRequest, DescribeAutoScalingGroupsRequest, DescribeAccountLimitsResponse, CreateLaunchConfigurationResponse, CreateLifecycleHookResponse, ClearLaunchConfigurationAttributesResponse, DescribeAutoScalingGroupsResponse, CreateScheduledActionRequest, StopAutoScalingInstancesResponse, DescribeScalingPoliciesRequest, ModifyScheduledActionResponse, AttachLoadBalancersResponse, ExecuteScalingPolicyResponse, DeleteAutoScalingGroupRequest, SetInstancesProtectionResponse, StartAutoScalingInstancesResponse, CompleteLifecycleActionRequest, CreateScalingPolicyResponse, CreateNotificationConfigurationResponse, DescribeLaunchConfigurationsResponse, RemoveInstancesRequest, DeleteScalingPolicyResponse, DetachLoadBalancersRequest, DescribeAutoScalingInstancesRequest, ModifyLoadBalancersRequest, RemoveInstancesResponse, ModifyScalingPolicyResponse, SetInstancesProtectionRequest, DeleteNotificationConfigurationResponse, DetachInstancesResponse, ModifyLaunchConfigurationAttributesResponse, CreateLaunchConfigurationRequest, AttachInstancesResponse, DescribeAutoScalingGroupLastActivitiesResponse, DescribeAccountLimitsRequest, UpgradeLifecycleHookRequest, DetachLoadBalancersResponse, DescribeAutoScalingGroupLastActivitiesRequest, ModifyLoadBalancersResponse, DescribePaiInstancesRequest, CreateNotificationConfigurationRequest, DescribeScheduledActionsResponse, ModifyNotificationConfigurationRequest, DeleteLifecycleHookRequest, ModifyLoadBalancerTargetAttributesResponse, ModifyAutoScalingGroupResponse, DeleteLaunchConfigurationRequest, ModifyScalingPolicyRequest, UpgradeLifecycleHookResponse, DescribeAutoScalingAdvicesResponse, CreateAutoScalingGroupRequest, DeleteScheduledActionResponse, UpgradeLaunchConfigurationRequest, DescribeAutoScalingActivitiesResponse, DescribeNotificationConfigurationsResponse, PreviewPaiDomainNameRequest, DeleteScalingPolicyRequest, CreateAutoScalingGroupFromInstanceResponse, DetachInstancesRequest, DescribeAutoScalingInstancesResponse, DeleteLaunchConfigurationResponse, DescribeScheduledActionsRequest, DeleteScheduledActionRequest, DescribeAutoScalingActivitiesRequest, ModifyDesiredCapacityRequest, CreateScheduledActionResponse, CreateLifecycleHookRequest, CompleteLifecycleActionResponse, ScaleOutInstancesResponse, DescribeLifecycleHooksRequest, CreateAutoScalingGroupResponse, ModifyNotificationConfigurationResponse, DescribeLifecycleHooksResponse, CreateScalingPolicyRequest, ScaleInInstancesResponse, DescribeAutoScalingAdvicesRequest, DeleteNotificationConfigurationRequest, DescribeLaunchConfigurationsRequest, ModifyLoadBalancerTargetAttributesRequest, DeleteAutoScalingGroupResponse, EnableAutoScalingGroupRequest, DescribeNotificationConfigurationsRequest, ScaleInInstancesRequest, ClearLaunchConfigurationAttributesRequest, PreviewPaiDomainNameResponse, StartAutoScalingInstancesRequest, AttachInstancesRequest, AttachLoadBalancersRequest, DescribeScalingPoliciesResponse, ModifyDesiredCapacityResponse, StopAutoScalingInstancesRequest, DeleteLifecycleHookResponse, CreateAutoScalingGroupFromInstanceRequest, EnableAutoScalingGroupResponse, UpgradeLaunchConfigurationResponse, DescribePaiInstancesResponse, ExecuteScalingPolicyRequest } from "./as_models";
/**
 * as client
 * @class
 */
export declare class Client extends AbstractClient {
    constructor(clientConfig: ClientConfig);
    /**
     * 本接口（ExecuteScalingPolicy）用于执行伸缩策略。

* 可以根据伸缩策略ID执行伸缩策略。
* 伸缩策略所属伸缩组处于伸缩活动时，会拒绝执行伸缩策略。
     */
    ExecuteScalingPolicy(req: ExecuteScalingPolicyRequest, cb?: (error: string, rep: ExecuteScalingPolicyResponse) => void): Promise<ExecuteScalingPolicyResponse>;
    /**
     * 本接口（CreateAutoScalingGroup）用于创建伸缩组
     */
    CreateAutoScalingGroup(req: CreateAutoScalingGroupRequest, cb?: (error: string, rep: CreateAutoScalingGroupResponse) => void): Promise<CreateAutoScalingGroupResponse>;
    /**
     * 本接口（PreviewPaiDomainName）用于预览PAI实例域名。

     */
    PreviewPaiDomainName(req: PreviewPaiDomainNameRequest, cb?: (error: string, rep: PreviewPaiDomainNameResponse) => void): Promise<PreviewPaiDomainNameResponse>;
    /**
     * 本接口（ClearLaunchConfigurationAttributes）用于将启动配置内的特定属性完全清空。
     */
    ClearLaunchConfigurationAttributes(req: ClearLaunchConfigurationAttributesRequest, cb?: (error: string, rep: ClearLaunchConfigurationAttributesResponse) => void): Promise<ClearLaunchConfigurationAttributesResponse>;
    /**
     * 本接口（ModifyScalingPolicy）用于修改告警触发策略。
     */
    ModifyScalingPolicy(req: ModifyScalingPolicyRequest, cb?: (error: string, rep: ModifyScalingPolicyResponse) => void): Promise<ModifyScalingPolicyResponse>;
    /**
     * 本接口（ModifyLoadBalancerTargetAttributes）用于修改伸缩组内负载均衡器的目标规则属性。
     */
    ModifyLoadBalancerTargetAttributes(req: ModifyLoadBalancerTargetAttributesRequest, cb?: (error: string, rep: ModifyLoadBalancerTargetAttributesResponse) => void): Promise<ModifyLoadBalancerTargetAttributesResponse>;
    /**
     * 本接口 (DescribeNotificationConfigurations) 用于查询一个或多个通知的详细信息。

可以根据通知ID、伸缩组ID等信息来查询通知的详细信息。过滤信息详细请见过滤器`Filter`。
如果参数为空，返回当前用户一定数量（Limit所指定的数量，默认为20）的通知。
     */
    DescribeNotificationConfigurations(req: DescribeNotificationConfigurationsRequest, cb?: (error: string, rep: DescribeNotificationConfigurationsResponse) => void): Promise<DescribeNotificationConfigurationsResponse>;
    /**
     * 本接口（DeleteAutoScalingGroup）用于删除指定伸缩组，删除前提是伸缩组内无实例且当前未在执行伸缩活动。
     */
    DeleteAutoScalingGroup(req: DeleteAutoScalingGroupRequest, cb?: (error: string, rep: DeleteAutoScalingGroupResponse) => void): Promise<DeleteAutoScalingGroupResponse>;
    /**
     * 为伸缩组指定数量扩容实例，返回扩容活动的 ActivityId。
* 伸缩组需要未处于活动中
* 接口会增加期望实例数，新的期望实例数需要小于等于最大实例数
* 扩容如果失败或者部分成功，最后期望实例数只会增加实际成功的实例数量
     */
    ScaleOutInstances(req: ScaleOutInstancesRequest, cb?: (error: string, rep: ScaleOutInstancesResponse) => void): Promise<ScaleOutInstancesResponse>;
    /**
     * 本接口（StartAutoScalingInstances）用于开启伸缩组内 CVM 实例。
* 开机成功，实例转为`IN_SERVICE`状态后，会增加期望实例数，期望实例数不可超过设置的最大值
* 本接口支持批量操作，每次请求开机实例的上限为100
     */
    StartAutoScalingInstances(req: StartAutoScalingInstancesRequest, cb?: (error: string, rep: StartAutoScalingInstancesResponse) => void): Promise<StartAutoScalingInstancesResponse>;
    /**
     * 本接口（UpgradeLaunchConfiguration）用于升级启动配置。

* 本接口用于升级启动配置，采用“完全覆盖”风格，无论之前参数如何，统一按照接口参数设置为新的配置。对于非必填字段，不填写则按照默认值赋值。
* 升级修改启动配置后，已经使用该启动配置扩容的存量实例不会发生变更，此后使用该启动配置的新增实例会按照新的配置进行扩容。
     */
    UpgradeLaunchConfiguration(req: UpgradeLaunchConfigurationRequest, cb?: (error: string, rep: UpgradeLaunchConfigurationResponse) => void): Promise<UpgradeLaunchConfigurationResponse>;
    /**
     * 本接口（DetachLoadBalancers）用于从伸缩组移出负载均衡器，本接口不会销毁负载均衡器。
     */
    DetachLoadBalancers(req: DetachLoadBalancersRequest, cb?: (error: string, rep: DetachLoadBalancersResponse) => void): Promise<DetachLoadBalancersResponse>;
    /**
     * 本接口（AttachInstances）用于将 CVM 实例添加到伸缩组。

     */
    AttachInstances(req: AttachInstancesRequest, cb?: (error: string, rep: AttachInstancesResponse) => void): Promise<AttachInstancesResponse>;
    /**
     * 本接口（DescribeScalingPolicies）用于查询告警触发策略。
     */
    DescribeScalingPolicies(req: DescribeScalingPoliciesRequest, cb?: (error: string, rep: DescribeScalingPoliciesResponse) => void): Promise<DescribeScalingPoliciesResponse>;
    /**
     * 本接口（DeleteScheduledAction）用于删除特定的定时任务。
     */
    DeleteScheduledAction(req: DeleteScheduledActionRequest, cb?: (error: string, rep: DeleteScheduledActionResponse) => void): Promise<DeleteScheduledActionResponse>;
    /**
     * 此接口（AttachLoadBalancers）用于将负载均衡器添加到伸缩组。
     */
    AttachLoadBalancers(req: AttachLoadBalancersRequest, cb?: (error: string, rep: AttachLoadBalancersResponse) => void): Promise<AttachLoadBalancersResponse>;
    /**
     * 本接口（DetachInstances）用于从伸缩组移出 CVM 实例，本接口不会销毁实例。
* 如果移出指定实例后，伸缩组内处于`IN_SERVICE`状态的实例数量小于伸缩组最小值，接口将报错
* 如果伸缩组处于`DISABLED`状态，移出操作不校验`IN_SERVICE`实例数量和最小值的关系
* 对于伸缩组配置的 CLB，实例在离开伸缩组时，AS 会进行解挂载动作
     */
    DetachInstances(req: DetachInstancesRequest, cb?: (error: string, rep: DetachInstancesResponse) => void): Promise<DetachInstancesResponse>;
    /**
     * 为伸缩组指定数量缩容实例，返回缩容活动的 ActivityId。
* 伸缩组需要未处于活动中
* 根据伸缩组的`TerminationPolicies`策略，选择被缩容的实例，可参考[缩容处理](https://cloud.tencent.com/document/product/377/8563)
* 接口只会选择`IN_SERVICE`实例缩容，如果需要缩容其他状态实例，可以使用 [DetachInstances](https://cloud.tencent.com/document/api/377/20436) 或 [RemoveInstances](https://cloud.tencent.com/document/api/377/20431) 接口
* 接口会减少期望实例数，新的期望实例数需要大于等于最小实例数
* 缩容如果失败或者部分成功，最后期望实例数只会扣减实际缩容成功的实例数量
     */
    ScaleInInstances(req: ScaleInInstancesRequest, cb?: (error: string, rep: ScaleInInstancesResponse) => void): Promise<ScaleInInstancesResponse>;
    /**
     * 本接口（CreateScheduledAction）用于创建定时任务。
     */
    CreateScheduledAction(req: CreateScheduledActionRequest, cb?: (error: string, rep: CreateScheduledActionResponse) => void): Promise<CreateScheduledActionResponse>;
    /**
     * 此接口用于查询伸缩组配置建议。
     */
    DescribeAutoScalingAdvices(req: DescribeAutoScalingAdvicesRequest, cb?: (error: string, rep: DescribeAutoScalingAdvicesResponse) => void): Promise<DescribeAutoScalingAdvicesResponse>;
    /**
     * 本接口（RemoveInstances）用于从伸缩组删除 CVM 实例。根据当前的产品逻辑，如果实例由弹性伸缩自动创建，则实例会被销毁；如果实例系创建后加入伸缩组的，则会从伸缩组中移除，保留实例。
* 如果删除指定实例后，伸缩组内处于`IN_SERVICE`状态的实例数量小于伸缩组最小值，接口将报错
* 如果伸缩组处于`DISABLED`状态，删除操作不校验`IN_SERVICE`实例数量和最小值的关系
* 对于伸缩组配置的 CLB，实例在离开伸缩组时，AS 会进行解挂载动作
     */
    RemoveInstances(req: RemoveInstancesRequest, cb?: (error: string, rep: RemoveInstancesResponse) => void): Promise<RemoveInstancesResponse>;
    /**
     * 本接口（DeleteScalingPolicy）用于删除告警触发策略。
     */
    DeleteScalingPolicy(req: DeleteScalingPolicyRequest, cb?: (error: string, rep: DeleteScalingPolicyResponse) => void): Promise<DeleteScalingPolicyResponse>;
    /**
     * 本接口（CompleteLifecycleAction）用于完成生命周期动作。

* 用户通过调用本接口，指定一个具体的生命周期挂钩的结果（“CONITNUE”或者“ABANDON”）。如果一直不调用本接口，则生命周期挂钩会在超时后按照“DefaultResult”进行处理。

     */
    CompleteLifecycleAction(req: CompleteLifecycleActionRequest, cb?: (error: string, rep: CompleteLifecycleActionResponse) => void): Promise<CompleteLifecycleActionResponse>;
    /**
     * 本接口（ModifyLoadBalancers）用于修改伸缩组的负载均衡器。

* 本接口用于为伸缩组指定新的负载均衡器配置，采用`完全覆盖`风格，无论之前配置如何，`统一按照接口参数配置为新的负载均衡器`。
* 如果要为伸缩组清空负载均衡器，则在调用本接口时仅指定伸缩组ID，不指定具体负载均衡器。
* 本接口会立即修改伸缩组的负载均衡器，并生成一个伸缩活动，异步修改存量实例的负载均衡器。
     */
    ModifyLoadBalancers(req: ModifyLoadBalancersRequest, cb?: (error: string, rep: ModifyLoadBalancersResponse) => void): Promise<ModifyLoadBalancersResponse>;
    /**
     * 本接口（ModifyDesiredCapacity）用于修改指定伸缩组的期望实例数
     */
    ModifyDesiredCapacity(req: ModifyDesiredCapacityRequest, cb?: (error: string, rep: ModifyDesiredCapacityResponse) => void): Promise<ModifyDesiredCapacityResponse>;
    /**
     * 本接口（SetInstancesProtection）用于设置实例保护。
实例设置保护之后，当发生不健康替换、报警策略、期望值变更等触发缩容时，将不对此实例缩容操作。
     */
    SetInstancesProtection(req: SetInstancesProtectionRequest, cb?: (error: string, rep: SetInstancesProtectionResponse) => void): Promise<SetInstancesProtectionResponse>;
    /**
     * 本接口（ModifyNotificationConfiguration）用于修改通知。
* 通知的接收端类型不支持修改。
     */
    ModifyNotificationConfiguration(req: ModifyNotificationConfigurationRequest, cb?: (error: string, rep: ModifyNotificationConfigurationResponse) => void): Promise<ModifyNotificationConfigurationResponse>;
    /**
     * 本接口（StopAutoScalingInstances）用于关闭伸缩组内 CVM 实例。
* 关机方式采用`SOFT_FIRST`方式，表示在正常关闭失败后进行强制关闭
* 关闭`IN_SERVICE`状态的实例，会减少期望实例数，期望实例数不可低于设置的最小值
* 使用`STOP_CHARGING`选项关机，待关机的实例需要满足[关机不收费条件](https://cloud.tencent.com/document/product/213/19918)
* 本接口支持批量操作，每次请求关机实例的上限为100
     */
    StopAutoScalingInstances(req: StopAutoScalingInstancesRequest, cb?: (error: string, rep: StopAutoScalingInstancesResponse) => void): Promise<StopAutoScalingInstancesResponse>;
    /**
     * 本接口（CreateLaunchConfiguration）用于创建新的启动配置。

* 启动配置，可以通过 `ModifyLaunchConfigurationAttributes` 修改少量字段。如需使用新的启动配置，建议重新创建启动配置。

* 每个项目最多只能创建20个启动配置，详见[使用限制](https://cloud.tencent.com/document/product/377/3120)。

     */
    CreateLaunchConfiguration(req: CreateLaunchConfigurationRequest, cb?: (error: string, rep: CreateLaunchConfigurationResponse) => void): Promise<CreateLaunchConfigurationResponse>;
    /**
     * 本接口（ModifyAutoScalingGroup）用于修改伸缩组。
     */
    ModifyAutoScalingGroup(req: ModifyAutoScalingGroupRequest, cb?: (error: string, rep: ModifyAutoScalingGroupResponse) => void): Promise<ModifyAutoScalingGroupResponse>;
    /**
     * 本接口（CreateNotificationConfiguration）用于创建通知。
通知到 CMQ 主题或队列时，消息内容如下：
```
{
    "Service": "Tencent Cloud Auto Scaling",
    "CreatedTime": "2021-10-11T10:15:11Z", // 活动创建时间
    "AppId": "100000000",
    "ActivityId": "asa-fznnvrja", // 伸缩活动ID
    "AutoScalingGroupId": "asg-pc2oqu2z", // 伸缩组ID
    "ActivityType": "SCALE_OUT",  // 伸缩活动类型
    "StatusCode": "SUCCESSFUL",   // 伸缩活动结果
    "Description": "Activity was launched in response to a difference between desired capacity and actual capacity,
    scale out 1 instance(s).", // 伸缩活动描述
    "StartTime": "2021-10-11T10:15:11Z",  // 活动开始时间
    "EndTime": "2021-10-11T10:15:32Z",    // 活动结束时间
    "DetailedStatusMessageSet": [ // 活动内部错误集合（非空不代表活动失败）
        {
            "Code": "InvalidInstanceType",
            "Zone": "ap-guangzhou-2",
            "InstanceId": "",
            "InstanceChargeType": "POSTPAID_BY_HOUR",
            "SubnetId": "subnet-4t5mgeuu",
            "Message": "The specified instance type `S5.LARGE8` is invalid in `subnet-4t5mgeuu`, `ap-guangzhou-2`.",
            "InstanceType": "S5.LARGE8"
        }
    ]
}
```
     */
    CreateNotificationConfiguration(req: CreateNotificationConfigurationRequest, cb?: (error: string, rep: CreateNotificationConfigurationResponse) => void): Promise<CreateNotificationConfigurationResponse>;
    /**
     * 本接口（DescribeAutoScalingInstances）用于查询弹性伸缩关联实例的信息。

* 可以根据实例ID、伸缩组ID等信息来查询实例的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（`Limit`所指定的数量，默认为20）的实例。
     */
    DescribeAutoScalingInstances(req: DescribeAutoScalingInstancesRequest, cb?: (error: string, rep: DescribeAutoScalingInstancesResponse) => void): Promise<DescribeAutoScalingInstancesResponse>;
    /**
     * 本接口（CreateAutoScalingGroupFromInstance）用于根据实例创建启动配置及伸缩组。

说明：根据按包年包月计费的实例所创建的伸缩组，其扩容的实例为按量计费实例。
     */
    CreateAutoScalingGroupFromInstance(req: CreateAutoScalingGroupFromInstanceRequest, cb?: (error: string, rep: CreateAutoScalingGroupFromInstanceResponse) => void): Promise<CreateAutoScalingGroupFromInstanceResponse>;
    /**
     * 本接口（CreateLifecycleHook）用于创建生命周期挂钩。

* 您可以为生命周期挂钩配置消息通知，弹性伸缩会通知您的CMQ消息队列，通知内容形如：

```
{
    "Service": "Tencent Cloud Auto Scaling",
    "Time": "2019-03-14T10:15:11Z",
    "AppId": "1251783334",
    "ActivityId": "asa-fznnvrja",
    "AutoScalingGroupId": "asg-rrrrtttt",
    "LifecycleHookId": "ash-xxxxyyyy",
    "LifecycleHookName": "my-hook",
    "LifecycleActionToken": "3080e1c9-0efe-4dd7-ad3b-90cd6618298f",
    "InstanceId": "ins-aaaabbbb",
    "LifecycleTransition": "INSTANCE_LAUNCHING",
    "NotificationMetadata": ""
}
```
     */
    CreateLifecycleHook(req: CreateLifecycleHookRequest, cb?: (error: string, rep: CreateLifecycleHookResponse) => void): Promise<CreateLifecycleHookResponse>;
    /**
     * 本接口（UpgradeLifecycleHook）用于升级生命周期挂钩。

* 本接口用于升级生命周期挂钩，采用“完全覆盖”风格，无论之前参数如何，统一按照接口参数设置为新的配置。对于非必填字段，不填写则按照默认值赋值。

     */
    UpgradeLifecycleHook(req: UpgradeLifecycleHookRequest, cb?: (error: string, rep: UpgradeLifecycleHookResponse) => void): Promise<UpgradeLifecycleHookResponse>;
    /**
     * 本接口（DisableAutoScalingGroup）用于停用指定伸缩组。
     */
    DisableAutoScalingGroup(req: DisableAutoScalingGroupRequest, cb?: (error: string, rep: DisableAutoScalingGroupResponse) => void): Promise<DisableAutoScalingGroupResponse>;
    /**
     * 本接口（DescribeLaunchConfigurations）用于查询启动配置的信息。

* 可以根据启动配置ID、启动配置名称等信息来查询启动配置的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（`Limit`所指定的数量，默认为20）的启动配置。
     */
    DescribeLaunchConfigurations(req: DescribeLaunchConfigurationsRequest, cb?: (error: string, rep: DescribeLaunchConfigurationsResponse) => void): Promise<DescribeLaunchConfigurationsResponse>;
    /**
     * 本接口（DescribePaiInstances）用于查询PAI实例信息。

* 可以根据实例ID、实例域名等信息来查询PAI实例的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（`Limit`所指定的数量，默认为20）的PAI实例。
     */
    DescribePaiInstances(req: DescribePaiInstancesRequest, cb?: (error: string, rep: DescribePaiInstancesResponse) => void): Promise<DescribePaiInstancesResponse>;
    /**
     * 本接口（CreateScalingPolicy）用于创建告警触发策略。
     */
    CreateScalingPolicy(req: CreateScalingPolicyRequest, cb?: (error: string, rep: CreateScalingPolicyResponse) => void): Promise<CreateScalingPolicyResponse>;
    /**
     * 本接口（DeleteLaunchConfiguration）用于删除启动配置。

* 若启动配置在伸缩组中属于生效状态，则该启动配置不允许删除。

     */
    DeleteLaunchConfiguration(req: DeleteLaunchConfigurationRequest, cb?: (error: string, rep: DeleteLaunchConfigurationResponse) => void): Promise<DeleteLaunchConfigurationResponse>;
    /**
     * 本接口（DeleteLifecycleHook）用于删除生命周期挂钩。
     */
    DeleteLifecycleHook(req: DeleteLifecycleHookRequest, cb?: (error: string, rep: DeleteLifecycleHookResponse) => void): Promise<DeleteLifecycleHookResponse>;
    /**
     * 本接口（DescribeAutoScalingGroupLastActivities）用于查询伸缩组的最新一次伸缩活动记录。
     */
    DescribeAutoScalingGroupLastActivities(req: DescribeAutoScalingGroupLastActivitiesRequest, cb?: (error: string, rep: DescribeAutoScalingGroupLastActivitiesResponse) => void): Promise<DescribeAutoScalingGroupLastActivitiesResponse>;
    /**
     * 本接口（DescribeLifecycleHooks）用于查询生命周期挂钩信息。

* 可以根据伸缩组ID、生命周期挂钩ID或者生命周期挂钩名称等信息来查询生命周期挂钩的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（`Limit`所指定的数量，默认为20）的生命周期挂钩。
     */
    DescribeLifecycleHooks(req: DescribeLifecycleHooksRequest, cb?: (error: string, rep: DescribeLifecycleHooksResponse) => void): Promise<DescribeLifecycleHooksResponse>;
    /**
     * 本接口（EnableAutoScalingGroup）用于启用指定伸缩组。
     */
    EnableAutoScalingGroup(req: EnableAutoScalingGroupRequest, cb?: (error: string, rep: EnableAutoScalingGroupResponse) => void): Promise<EnableAutoScalingGroupResponse>;
    /**
     * 本接口 (DescribeScheduledActions) 用于查询一个或多个定时任务的详细信息。

* 可以根据定时任务ID、定时任务名称或者伸缩组ID等信息来查询定时任务的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（Limit所指定的数量，默认为20）的定时任务。
     */
    DescribeScheduledActions(req: DescribeScheduledActionsRequest, cb?: (error: string, rep: DescribeScheduledActionsResponse) => void): Promise<DescribeScheduledActionsResponse>;
    /**
     * 本接口（DescribeAutoScalingGroups）用于查询伸缩组信息。

* 可以根据伸缩组ID、伸缩组名称或者启动配置ID等信息来查询伸缩组的详细信息。过滤信息详细请见过滤器`Filter`。
* 如果参数为空，返回当前用户一定数量（`Limit`所指定的数量，默认为20）的伸缩组。
     */
    DescribeAutoScalingGroups(req: DescribeAutoScalingGroupsRequest, cb?: (error: string, rep: DescribeAutoScalingGroupsResponse) => void): Promise<DescribeAutoScalingGroupsResponse>;
    /**
     * 本接口（ModifyScheduledAction）用于修改定时任务。
     */
    ModifyScheduledAction(req: ModifyScheduledActionRequest, cb?: (error: string, rep: ModifyScheduledActionResponse) => void): Promise<ModifyScheduledActionResponse>;
    /**
     * 本接口（DescribeAutoScalingActivities）用于查询伸缩组的伸缩活动记录。
     */
    DescribeAutoScalingActivities(req: DescribeAutoScalingActivitiesRequest, cb?: (error: string, rep: DescribeAutoScalingActivitiesResponse) => void): Promise<DescribeAutoScalingActivitiesResponse>;
    /**
     * 本接口（DeleteNotificationConfiguration）用于删除特定的通知。
     */
    DeleteNotificationConfiguration(req: DeleteNotificationConfigurationRequest, cb?: (error: string, rep: DeleteNotificationConfigurationResponse) => void): Promise<DeleteNotificationConfigurationResponse>;
    /**
     * 本接口（DescribeAccountLimits）用于查询用户账户在弹性伸缩中的资源限制。
     */
    DescribeAccountLimits(req?: DescribeAccountLimitsRequest, cb?: (error: string, rep: DescribeAccountLimitsResponse) => void): Promise<DescribeAccountLimitsResponse>;
    /**
     * 本接口（ModifyLaunchConfigurationAttributes）用于修改启动配置部分属性。

* 修改启动配置后，已经使用该启动配置扩容的存量实例不会发生变更，此后使用该启动配置的新增实例会按照新的配置进行扩容。
* 本接口支持修改部分简单类型。
     */
    ModifyLaunchConfigurationAttributes(req: ModifyLaunchConfigurationAttributesRequest, cb?: (error: string, rep: ModifyLaunchConfigurationAttributesResponse) => void): Promise<ModifyLaunchConfigurationAttributesResponse>;
}
